import { Cli } from './packages/cli-wrapper';
import { UuidController, AdderControllerImpl } from './modules/uuid';

export const addCommands = (cli: Cli) => {
	const uuidController: UuidController = new AdderControllerImpl();

	return cli
		.command({
			aliases: ['u'],
			command: 'uuid',
			parameters: ['<username>'],
			describe: 'Get equivalent UUID of username in Minecraft.',
			handler: uuidController.getUsernameUuid,
		});
};
