import { FastifyInstance } from 'fastify';
import { UuidController, UuidControllerImpl } from '@/modules/uuid';

export const addRoutes = (server: FastifyInstance) => {
	const uuidController: UuidController = new UuidControllerImpl();

	return server
		.route({
			method: 'POST',
			url: '/api/uuid',
			schema: {
				body: {
					type: 'object',
					required: ['username'],
					properties: {
						username: { type: 'string' },
						onlineMode: { type: 'boolean' },
					}
				}
			},
			handler: uuidController.getUsernameUuid,
		});
};
